Bug 599802

Summary: FTBFS xsri-2.1.0-17.fc12: ImplicitDSOLinking
Product: [Fedora] Fedora Reporter: FTBFS <ftbfs>
Component: xsriAssignee: Søren Sandmann Pedersen <sandmann>
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 14CC: jamundso, kem, mat.booth, sandmann
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: All   
OS: Linux   
URL: http://linux.dell.com/files/fedora/FixBuildRequires/mock-results/
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-07-05 09:48:38 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 596849    
Attachments:
Description Flags
root.log
none
build.log
none
mock.log
none
root.log
none
build.log
none
mock.log none

Description FTBFS 2010-06-03 16:31:18 EDT
xsri-2.1.0-17.fc12.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
This failure is due to a change in the linker default behavior, which uncovered a fault in your package.  See http://fedoraproject.org/wiki/Features/ChangeInImplicitDSOLinking .
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)
Comment 1 FTBFS 2010-06-03 16:31:21 EDT
Created attachment 419793 [details]
root.log

root.log for i386
Comment 2 FTBFS 2010-06-03 16:31:22 EDT
Created attachment 419794 [details]
build.log

build.log for i386
Comment 3 FTBFS 2010-06-03 16:31:24 EDT
Created attachment 419795 [details]
mock.log

mock.log for i386
Comment 4 FTBFS 2010-06-03 16:31:25 EDT
Created attachment 419796 [details]
root.log

root.log for x86_64
Comment 5 FTBFS 2010-06-03 16:31:26 EDT
Created attachment 419797 [details]
build.log

build.log for x86_64
Comment 6 FTBFS 2010-06-03 16:31:27 EDT
Created attachment 419798 [details]
mock.log

mock.log for x86_64
Comment 7 Bug Zapper 2010-07-30 07:51:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Jerry Amundson 2010-09-01 23:52:50 EDT
My assumption is that the Assigned To here is either,
1. Deceased, or
2. Not interested.
Comment 9 Jerry Amundson 2010-09-02 13:36:19 EDT
Or,
3. Assigned To is busy, and has other priorities!

My apologies for the earlier remark - I have bugs with no activity for months and assumed otherwise. But I see updates by sandmann@redhat.com as recently as 2010-08-24 09:11:27 EDT.

I'll try to help by marking duplicates. Sorry for the noise.
Comment 10 Mat Booth 2011-07-05 09:48:38 EDT

*** This bug has been marked as a duplicate of bug 715722 ***